## Tcl8.6.0/Tk8.6.0 Documentation > Tcl C API, version 8.6.0 > SourceRCFile

### Tcl/Tk Applications | Tcl Commands | Tk Commands | [incr Tcl] Package Commands | SQLite Package Commands | TDBC Package Commands | tdbc::mysql Package Commands | tdbc::odbc Package Commands | tdbc::postgres Package Commands | tdbc::sqlite3 Package Commands | Thread Package Commands | Tcl C API | Tk C API | [incr Tcl] Package C API | TDBC Package C API

### NAME

Tcl_SourceRCFile — source the Tcl rc file

### SYNOPSIS

#include <tcl8.6/tcl.h>
void
Tcl_SourceRCFile(interp)

### ARGUMENTS

Tcl_Interp *interp (in)
  Tcl interpreter to source rc file into.

### DESCRIPTION

Tcl_SourceRCFile is used to source the Tcl rc file at startup. It is typically invoked by Tcl_Main or Tk_Main. The name of the file sourced is obtained from the global variable tcl_rcFileName in the interpreter given by interp. If this variable is not defined, or if the file it indicates cannot be found, no action is taken.

### KEYWORDS

application-specific initialization, main program, rc file
Copyright © 1998-2000 by Scriptics Corporation.